## org.eclipse.datatools.connectivity.oda.design
Interface FilterExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AndExpression, CompositeFilterExpression, CustomFilterExpression, DynamicFilterExpression, NotExpression, OrExpression

    public interface FilterExpression

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Filter Expression'. Abstract base class for all filter expressions defined by an ODA designer.

The following features are supported:

- `Negatable`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getFilterExpression()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`boolean` `isNegatable()` Returns the value of the 'Negatable' attribute.
`boolean` `isSetNegatable()` Returns whether the value of the '`Negatable`' attribute is set.
`void` `setNegatable(boolean value)` Sets the value of the '`Negatable`' attribute.
`void` `unsetNegatable()` Unsets the value of the '`Negatable`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### isNegatable

    boolean isNegatable()

  Returns the value of the 'Negatable' attribute. The default value is `"false"`. Indicates whether the expression can be negated, i.e. applied with a NotExpression. Default is false.

  Returns:
    the value of the 'Negatable' attribute.
  See Also:
    `isSetNegatable()`, `unsetNegatable()`, `setNegatable(boolean)`, `DesignPackage.getFilterExpression_Negatable()`

### setNegatable

    void setNegatable(boolean value)

  Sets the value of the '`Negatable`' attribute.

  Parameters:
    `value` - the new value of the 'Negatable' attribute.
  See Also:
    `isSetNegatable()`, `unsetNegatable()`, `isNegatable()`

### unsetNegatable

    void unsetNegatable()

  Unsets the value of the '`Negatable`' attribute.

  See Also:
    `isSetNegatable()`, `isNegatable()`, `setNegatable(boolean)`

### isSetNegatable

    boolean isSetNegatable()

  Returns whether the value of the '`Negatable`' attribute is set.

  Returns:
    whether the value of the 'Negatable' attribute is set.
  See Also:
    `unsetNegatable()`, `isNegatable()`, `setNegatable(boolean)`